Subject: Re: cyggfortran-3.dll broken ?
From: marco atzeri <[email-masked]>
To: [email-masked]
Cc: Dave Korn <[email-masked]>
Date: Wed, 23 Mar 2011 20:45:15 +0100
List-Id: <cygwin.cygwin.com>

On Wed, Mar 23, 2011 at 8:40 PM, Dave Korn  wrote:
> On 23/03/2011 19:17, Charles Wilson wrote:
>> On 3/23/2011 1:49 PM, Dave Korn wrote:
>
>>>   Hmm, I should probably do this.  And send it upstream too.
>>
>> Well, yeah (but does upstream want to explicitly require cygwin-1.7.8 or
>> better? or would you conditionalize it on a configure test:
>
>  The latter, certainly.
>
>  I had a quick try in my 4.3.4-4 build dir; it's a simple matter of adding an
> extra.def file to the linker flags along with a counterbalancing
> '--export-all-symbols' (and since we have a .map file as well this doesn't
> over-export, so I don't need to make a complete .def file, handy!) and I could
> conditionalize it on any one of the new HAVE_xxx definitions that are what's
> causing libgfortan to exclude its own implementations in the new build, so it
> doesn't seem like it should be too hard.
>
>  I need to concentrate on fixing LTO for binutils 2.21.1 before I do anything
> else.  Apologies to Marco but unless the problem gets worse I'm going back to
> that and testing the gcc-4.6.0 RC2 for the next few days.  I'll try and find
> some background time in which to respin 4.3.4 with forwarders added to the DLL.

the new pc is faster than old one. 2-3 days I should repack all

>
>    cheers,
>      DaveK
>

Marco

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple